Name: xlockmore
Version: 5.22
Release: alt2

Summary: An X terminal locking program
License: MIT
Group: Graphical desktop/Other
Url: http://www.tux.org/~bagleyd/%name.html
Packager: Damir Shayhutdinov <damir@altlinux.ru>

Source: ftp://ftp.tux.org/pub/tux/bagleyd/%name/%name-%version.tar.bz2
Source1: xlock-16x16.xpm
Source2: xlock-32x32.xpm
Source3: xlock-48x48.xpm
Source5: xlock.pamd

Patch2: %name-5.21-alt-pam_userpass.patch
Patch3: %name-5.02-alt-xlock-installmode.patch

PreReq: /etc/tcb
Requires: fortune-mod

BuildPreReq: gcc-c++ pam_userpass-devel
BuildPreReq: libXpm-devel libXmu-devel

# Automatically added by buildreq on Mon Feb 06 2006
BuildRequires: fontconfig freetype2-devel libmesa-devel pkg-config


%description
The %name utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it. Xlockmore runs a provided screensaver until you type
in your password.

Install the %name package if you need a locking program to secure
X sessions.

%prep
%setup -q
%patch2 -p1
%patch3 -p1


%build
autoconf
%configure \
	--without-motif \
	--without-gtk \
	--without-dpms \
	--without-esound \
	--enable-pam \
	--enable-vtlock \
	--enable-button-logout=15 
%make_build \
	xapploaddir=%_sysconfdir/X11/app-defaults 

%install
install -p -m640 -D %SOURCE5 %buildroot%_sysconfdir/pam.d/xlock
install -p -m644 -D xlock/xlock.man %buildroot%_mandir/man1/xlock.1
install -p -m644 -D xlock/XLock.ad %buildroot%_sysconfdir/X11/app-defaults/XLock

install -D -m 644 %SOURCE1 %buildroot%_miconsdir/%name.xpm
install -D -m 644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
install -D -m 644 %SOURCE3 %buildroot%_liconsdir/%name.xpm

%make_install install \
	prefix=%buildroot%_prefix \
	bindir=%buildroot%_bindir \
	mandir=%buildroot%_mandir \
	xapploaddir=%buildroot%_sysconfdir/X11/app-defaults 

chmod 755 %buildroot%_bindir/*

%files
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%attr(640,root,chkpwd) %config(noreplace) %_sysconfdir/pam.d/*
%attr(2711,root,chkpwd) %_bindir/*
%_mandir/man?/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%exclude %_mandir/xlock.1.*

%changelog
* Mon Mar 26 2007 Damir Shayhutdinov <damir@altlinux.ru> 5.22-alt2
- Built without libaudio (#11216).

* Mon May 01 2006 Damir Shayhutdinov <damir@altlinux.ru> 5.22-alt1
- New version

* Fri Mar 03 2006 Damir Shayhutdinov <damir@altlinux.ru> 5.21-alt4
- Remove temporary fix
- Fix icons dir

* Tue Feb 07 2006 Damir Shayhutdinov <damir@altlinux.ru> 5.21-alt3
- Updated BuildReq (#9021)
- Build with app-defaults path in %%_sysconfdir/X11/app-defaults/
- Temporary fix for libaudio LDFLAGS
- Some spec cleanup

* Sun Jan 29 2006 Damir Shayhutdinov <damir@altlinux.ru> 5.21-alt2
- Enable logout button

* Sat Jan 28 2006 Damir Shayhutdinov <damir@altlinux.ru> 5.21-alt1
- 5.21
- Moved from /usr/X11R6 to /usr

* Tue Nov 01 2005 Damir Shayhutdinov <damir@altlinux.ru> 5.20.1-alt1
- 5.20.1
- resurrection from orphanarium
- updated pam_userpass patch

* Mon Dec 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.02-alt1
- 5.02
- Cleaned up pam code, changed to use pam_userpass.

* Fri Dec 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.01.2-alt3
- Switched to tcb.

* Tue Sep 11 2001 Rider <rider@altlinux.ru> 5.01.2-alt2
- icons added

* Fri Aug 17 2001 Rider <rider@altlinux.ru> 5.01.2-alt1
- 5.01.2

* Fri May 11 2001 Rider <rider@altlinux.ru> 5.01
- 5.01

* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.17.2-ipl3mdk
- Removed suid from xlock binary.
- Specfile cleanup.

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Tue Nov 14 2000 Geoffrey Lee  <snailtalk@mandrakesoft.com> 4.17.2-1mdk
- new and shiny source.

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.17.1-3mdk
- fix build with gcc-2.96
- rebuild against new libstdc++

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.17.1-2mdk
- pam_stack.
- noreplace.

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.17.1-1mdk
- security release

* Fri Jul  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.16.1-2mdk
- regenerate autoconf if you want to link with the sane Mesa from XFree4.
- Fix build with XFree4.

* Sun Jun  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.16.1-1mdk
- Spec clean-up.
- 4.16.1 (fix security bug: it print the shadow password information).

* Fri Mar 30 2000 DindinX <odin@mandrakesoft.com> 4.15-4mdk
- Fix group
- Spec updates

* Wed Dec 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Really link against the right lib...
- fix non-root build

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
  of libMesa*.so stuff)

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.15

* Mon Nov  1 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 4.14

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 4.12

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out some modules to avoid TMv

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- turned PAM support on in ./configure

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to 4.11

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- upgraded to 4.09
- removed Michael's PAM patch (it's now available in the sources)

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- upgrade to 4.05
- add wmconfig

* Mon Oct 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.04
- Changed pam to new conventions
- Use configure instead of imake
- buildroot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d

